server.port=${GATEWAY_PORT}
eureka.instance.metadata-map.startup=${random.int}
logging.file.name=/var/logs/${spring.application.name}-${spring.profiles.active:default}.log
logging.pattern.file=%clr(%d{yyyy-MM-dd HH:mm:ss.SSS}){faint} %clr(%5p) %clr(${PID}){magenta} %clr(---){faint} %clr([%15.15t]){faint} %clr(%-40.40logger{39}){cyan} %clr(:){faint} %m%n%wEx
logging.file.max-history=20
logging.file.max-size=10MB
logging.register-shutdown-hook=true
server.tomcat.accesslog.enabled=true
#spring.sleuth.sampler.probability=1F
#spring.zipkin.sender.type=rabbit
ribbon.ReadTimeout=30000
ribbon.SocketTimeout=35000
zuul.prefix=/api
zuul.routes.servicio-clientes.service-id=servicio-clientes
zuul.routes.servicio-clientes.path=/clientes/**
zuul.routes.servicio-parametros.service-id=servicio-parametros
zuul.routes.servicio-parametros.path=/parametros/**
zuul.routes.servicio-archivos.service-id=servicio-archivos
zuul.routes.servicio-archivos.path=/archivos/**